[project]
name = "http-api"
version = "0.1.0"
description = ""
readme = ""
requires-python = ">=3.12"
dependencies = [
    "layercake",
]

[dependency-groups]
dev = [
    "pytest>=8.3.4",
    "pytest-cov>=6.0.0",
    "ruff>=0.9.1",
    "tqdm>=4.67.1",
]

[tool.pytest.ini_options]
addopts = "--cov --cov-report html -v"

[tool.ruff.format]
quote-style = "single"

[tool.uv.sources]
layercake = { path = "../layercake" }
